
# GLTF Viewer (Avalonia+OpenTK)

## The Goal
A simple application to load GLTF scenes and render the model(s) in a lit scene with full textures.

## Requirements
- Load GLTF scenes
    - Will load all the models in the gltf file
    - Must render the textures correctly (will eventually get materials working)
- Basic mouse input to rotate the model
- Avalonia used for the UI with a Control to load the OpenTK gl context
    - Tree view of meshes
    - Inspector with mesh properties

## Development Status
- 01/15/2025 Update 1: Successfully have Avalonia project set up with a BaseOpenTK control rendering the OpenTK context. Also have a Renerer class to seperate out the rendering code from the control, but it's empty for now. There is also some boilerplate UI for the inspector, but its only visual and will need to be filled out.

## Development Environment
- OS: Linux (NixOS)
- IDE: JetBrains Rider 2024
- Dotnet version: net8.0
- Avalonia version: 11.2.1
- OpenTK Version: 5.0.0-pre.13