using System.Collections.ObjectModel;
using Avalonia.Controls;
using Avalonia.Controls.Templates;

namespace GLTFViewer.Engine.Ui;

public class SceneTree
{
    public Node Root { get; } = new Node("root");
    
    private TreeView _sceneTreeView;
    private ObservableCollection<Node> _nodes;

    public SceneTree(TreeView sceneTreeView)
    {
        _sceneTreeView = sceneTreeView;
        
        Initialize();
    }
    
    public void Initialize()
    {
        Root.AddProperty(new NodeProperty<string>("TestPropertyString", "TestValue"));
        Root.AddProperty(new NodeProperty<int>("TestPropertyInt", 42));
        
        
        _nodes = new ObservableCollection<Node>()
        {
            Root
        };
        
        _sceneTreeView.ItemsSource = _nodes;
        _sceneTreeView.ItemTemplate = new FuncTreeDataTemplate<Node>(
            (node, _) =>
            {
                var textBlock = new TextBlock { Text = node.Name };
                return textBlock;
            },
            node => node.Children
        );
    }
}