using Avalonia.Controls;
using Avalonia.Layout;
using Avalonia.Media;
using GLTFViewer.Rendering;

namespace GLTFViewer;

public partial class MainWindow : Window
{

    private Renderer _renderer;
    private BaseOpenTKControl _openTkControl;
    private MainUI _mainUI;
    
    public MainWindow()
    {
        InitializeComponent();
        
        _renderer = new Renderer();

        _mainUI = MainUiControl;
        _openTkControl = OpenTkControl;
        
        _openTkControl.OnInit += _renderer.Initialize;
        _openTkControl.OnRender += _renderer.Render;
        _openTkControl.OnDeinit += _renderer.Deinitialize;
    }
}